FastNetMon

четверг, 20 января 2011 г.

Установка OpenFire Jabber сервера на Debian 5 Lenny

Для начала идем на страницу: http://www.igniterealtime.org/downloads/index.jsp#openfire, напротив Openfire 3.6.4 щелкаем по Linux и далее выбираем ссылку: openfire_3.6.4_all.deb, вот прямая ссылка:
http://www.igniterealtime.org/downloadServlet?filename=openfire/openfire_3.6.4_all.deb

Ставим JRE: http://phpsuxx.blogspot.com/2009/12/java-6-jre-debian-5-lenny.html

cd /usr/src
wget 'http://www.igniterealtime.org/downloadServlet?filename=openfire/openfire_3.6.4_all.deb' -Oopenfire_3.6.4_all.deb
dpkg -i openfire_3.6.4_all.deb

В ответ будет выдано примерно следующее:
(Reading database ... 22629 files and directories currently installed.)
Unpacking openfire (from openfire_3.6.4_all.deb) ...
Setting up openfire (3.6.4) ...
adduser: Warning: The home directory `/var/lib/openfire' does not belong to the user you are currently creating.
update-rc.d: warning: /etc/init.d/openfire missing LSB information
update-rc.d: see
Starting openfire: openfire.

После этого открываем в браузере страницу:
http://ваш_внешний_ip:9090/setup/index.jsp

И там, выбираем язык - "Choose Language", Continue, Server Settings, оставляем стандартные значения (Admin Console Port: 9090, Secure Admin Console Port: 9091), Continue. Embedded Database, Continue. Profile settings - default, continue. После этого задаем пароль и почту администратора. Все, установка закончена, открываем в браузере http://ваш_внешний_ip:9090/login.jsp и входим админом.

3 комментария :

  1. Вроде удалил полностью Openfire, хочу переустановить, доходит до Настройки пакета и вылетает.. Интересно конечно.

    Вообще решил переустановить его, после того, как в консоль перестало пускать всех админов, что-то произошло с авторизацией. Может быть сталкивался, Паш?

    ОтветитьУдалить
  2. Скачал последнюю версию openfire_3.7.1. Начал ставить. Получил ошибку:
    openfire требует предварительной установки sun-java5-jre | sun-java6-jre
    С какого перепугу оно это спрашивает, если вместо sun-java теперь open-java?

    ОтветитьУдалить
  3. open-java не слишком полноценна, поэтому и требует бинарную версию от Sun, вполне логично.

    ОтветитьУдалить

Примечание. Отправлять комментарии могут только участники этого блога.